Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.destinations
Class TemporaryTopicImpl

    java.lang.Object
      net.sf.dropboxmq.destinations.DestinationImpl
          net.sf.dropboxmq.destinations.TopicImpl
              net.sf.dropboxmq.destinations.TemporaryTopicImpl

All Implemented Interfaces:
  Serializable, Destination, TemporaryTopic, Topic

    public class TemporaryTopicImpl

extends TopicImpl
implements TemporaryTopic

Created: 10 Mar 2006

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`TemporaryTopicImpl(String name, Configuration configuration)`

Method Summary
`void` | `delete()` Deletes this temporary topic.

Methods inherited from class net.sf.dropboxmq.destinations.TopicImpl
`getTopicName`

Methods inherited from class net.sf.dropboxmq.destinations.DestinationImpl
`getName, setName, toObjectString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Topic
`getTopicName, toString`

Constructor Detail

### TemporaryTopicImpl

    public TemporaryTopicImpl(String name,
                              Configuration configuration)

Method Detail

### delete

    public void delete()
                throws JMSException

  Description copied from interface: `javax.jms.TemporaryTopic`
  Deletes this temporary topic. If there are existing subscribers still using it, a `JMSException` will be thrown.

  Specified by:
    `delete` in interface `TemporaryTopic`
  Throws:
    `JMSException` - if the JMS provider fails to delete the temporary topic due to some internal error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD